About DiskInternals NTFS Recovery

NTFS is an advanced disk formatting used by XP and other modern OS'es. DiskInternals NTFS Recovery is a fully automatic tool that utilizes NTFS features allowing you to recover files from disk volumes in case they were damaged.

DiskInternals NTFS Recovery is your last chance to save months of work or gigabytes of Your priceless photos, letters and other valuable files. It will help you even in cases when your disk is not accessible from Windows, the disk was damaged, files or folders are not readable, and more.


Overview of features

DiskInternals NTFS Recovery is a user-friendly automatic tool to recover files from damaged disk volumes.

DiskInternals NTFS Recovery Features:
  • Easy Recovery Wizard. Standard Windows Explorer interface, Drag and Drop support.
  • Works under Microsoft® Windows® 95, 98, ME, NT, 2000, XP, 2003 Server.
  • Supported file systems: NTFS, NTFS 4, NTFS 5.
  • Supported hidden file systems: Hidden NTFS
  • Recovers compressed files (NTFS, NTFS5).
  • Recovers encrypted files (NTFS5).
  • Ignores file access rights (NTFS)
  • Saves folders with subfolders
  • Recognizes localized names.
  • Recovered files can be saved on any (including network) disks visible to the host operating system.
  • Creates DiskImage files for entire hard drives, logical drives, or their part. Such image files can be processed like regular disks.
  • Creates Virtual partitions. Such partitions can be processed like regular disks.

Product recovers:
  • Recover files from damaged disks
  • Recover files from inaccessible drive
  • Recover corrupt or damaged partition table.
  • Restore disks after crash
  • Unformat NTFS drives
  • Recover files deleted by accident
  • Recover Photos from the erased or formatted media
  • Undelete files deleted from the Recycle Bin.
  • Files after virus or worm attack.
  • Damaged disks (disks with bad sectors).

Unformat NTFS

DiskInternals NTFS Recovery is fully wizard-based, meaning there is no technical knowledge needed. Any person can recover data from damaged or formatted disks on their own, without hiring a technician.

From various storage media including:
  • Hard Drive
  • Digital camera
  • Floppy disk
  • Zip Disk
  • Jaz Disk
  • Smart Media Card
  • Sony Memory Stick
  • Compact Flash card
  • MicroDrive
  • Secure Digital Cards
  • xD Picture Card
  • Flash Card
  • PC Card
  • Multimedia Card
  • Any USB disk
  • and many others


Installation

When installing the software, take into account what disk files were deleted from. If files were deleted, say, from the drive D:\, we strongly recommend you not to install the software on this disk. Choose a different drive for installation. Any local/network/removable drives are supported.


System Requirements

Minimal System Requirements:
  • An Intel-compatible or Athlon 64 platform running Windows 9x/ME/NT4.0/2000/XP/2003.
  • At least 16 MB of RAM, a mouse, and enough disk space for recovered files.
  • The administrative privileges are required to run NTFS Recovery under WinNT/2000/XP/2003.


How to register DiskInternals NTFS Recovery

The unregistered version can not save files that exceed 64 kB in size. Only the registered version can recover files of any size.

Once you have purchased the product by filling in the online order form, a license key will be sent to you via email to unlock the software for use.

As a registered customer, you receive:

  • Unrestricted software, without any limitations and nag screens.
  • Ability to recover files of any size
  • Customer support
  • Free upgrade to any minor version (1.x)
  • Recovery Service: we will add the support of your file types on request.

Information about prices and ways of payment can be found on our registration page. Registration is easy, simply press "Buy Now" and purchase the program online.


Unregistered version limitations

The unregistered version cannot recover files exceeding 64kB in size. After registration you will receive a registration key that will take away all the limitations and will allow you to save files of any size.


Lisence

DiskInternals NTFS Recovery Copyright(c) 2003-2006 DiskInternals Research.
All rights reserved.

END-USER LICENSE AGREEMENT
IMPORTANT-READ CAREFULLY: This End-User License Agreement ("EULA") is a legal
agreement between you (either an individual or a single entity) later referred
to as "LICENSEE" and DiskInternals Research later referred to as "DiskInternals" for
the software product DiskInternals NTFS Recovery later referred to as "SOFTWARE". By
installing, copying, or otherwise using the SOFTWARE, you agree to be bound by
the terms of this EULA. If you do not agree to the terms of this EULA, do not
purchase, install or use the SOFTWARE.

The DiskInternals may have patents, patent applications, trademarks, copyrights, or
other intellectual property rights covering subject matter in this document.
The furnishing of this document does not give you any license to these
patents, trademarks, copyrights, or other intellectual property.

SOFTWARE LICENSE

Copyright laws and international copyright treaties, as well as other
intellectual property laws and treaties protect the SOFTWARE. The SOFTWARE is
licensed, not sold.

1. GRANT OF LICENSE.
This EULA grants you the following rights:
-You may use this SOFTWARE. "Use" of the SOFTWARE means that you have loaded,
installed or run the SOFTWARE on to a computer or server.
-You may use this SOFTWARE in compliance with all applicable laws and not for
any unlawful purpose. Without limiting the foregoing, use, display or
distribution of this SOFTWARE together with material that is pornographic,
racist, vulgar, obscene, defamatory, libelous, abusive, promoting hatred,
discriminating or displaying prejudice based on religion, ethnic heritage,
race sexual orientation or age is strictly prohibited.

2. DISTRIBUTION.
This SOFTWARE may be distributed, provided that:
- Such distribution includes only the original distributive file supplied by
DiskInternals. You may not alter, delete or add any files in the distributive
file or modify the SOFTWARE in any way.
- No money is charged to the person receiving this SOFTWARE, beyond
reasonable cost of packaging and other overhead.

3. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
- You may not reverse engineer, recompile, and disassembly, modify, translate
the SOFTWARE and make any attempt to discover the source code of the SOFTWARE.
- You may not transfer, sell, re-sell, offer for sale or distribute the
SOFTWARE in any way except in accordance with paragraph 2 above. For
information about distribution of DiskInternals Software, contact us at
sales@DiskInternals.com.

4. DISCLAIMER OF WARRANTY.
THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS"
AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY
OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED.
YOU USE THE SOFTWARE AT YOUR OWN RISK.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. To the maximum extent permitted by
applicable law, in no event shall the DiskInternals or its employees, contractors,
agents, distributors or suppliers be liable for any special, incidental,
indirect, or consequential damages whatsoever (including, without limitation,
damages for loss of business profits, business interruption, loss of business
information, loss of data, loss of business opportunity, loss or damages to
property, injuries to any person or any pecuniary loss,) arising out of the
use of or inability to use the SOFTWARE, even if the DiskInternals has been advised on
the possibility of such damages. In any case, the DiskInternals entire liability under
any provision of this EULA shall be limited EXCLUSIVELY TO PRODUCT
REPLACEMENT.

5. GOVERNING LAW
This agreement shall by laws of the Province of Ontario and the laws of
Canada applicable therein. You hereby irrevocably attorn and submit to the
non-exclusive jurisdiction of the court of Toronto, Ontario, and any competent
Courts of Appeal there from. If any provision shall be considered unlawful,
void or otherwise unenforceable, then that provision shall be deemed severable
from this license and not affect the validity and enforceability of any other
provisions.

The DiskInternals reserves all rights not expressly granted here.

ACKNOWLEDGEMENT

I, the LICENSEE, acknowledge that I have read the above EULA and agree with
the terms and conditions of the agreement. I also agree that the EULA
supersedes any prior agreement, written or verbal, which may exist between me
and the DiskInternals on the subject of the SOFTWARE.


Getting started

The software is easy to use and does not require any additional skills. We tried to make working with it as comfortable and similar to Windows Explorer as possible.

To get acquainted with its main features, we recommend that you read these sections:

  • Step by step recovery
  • File recovery
  • How to register DiskInternals NTFS Recovery


Recovery Wizard

To launch the Recovery Wizard, select the Wizard command from the program menu or use the wizard button on the toolbar.


Page 1 of 4: Welcome to Recovery Wizard

This is the welcome page of Recovery Wizard. Here you can learn about Recovery Wizard features and proceed to file recovery by clicking the Next button.


Select the Drive to Scan

Page 2 of 4: Select the Drive to Scan

Select the drive to search for recoverable files in.

You can connect Drive Image by clicking the "Mount Image" link. Select the necessary file in the new window and click Ok.

You can Map Virtual Partition by clicking the "Map Virtual Partition" link.

After the drives are selected, click "Next" to continue.


Page 3 of 4: Searching for recoverable files

Depending on the size of the drive and the number of files, the search can take some time. When it is over, the "Next" button will become active.

Click "Next >" to continue


Page 4 of 4: Volume Params

choose volume params

Â áîëüøèíñòâå ñëó÷àåâ âñå ïàðàìåòðû äèñêà îïðåäåëÿþòñÿ àâòîìàòè÷åñêè. Âàì íå íàäî íè÷åãî ìåíÿòü, ïðîñòî Click the "Next >" button to finish searching and proceed to saving the files.

For Manual Recovery only: Ðàçìåð êëàñòåðà ìîæíî èçìåíèòü âðó÷íóþ, âûáðàâ ïîäõîäÿùåå çíà÷åíèå èç âûïàäàþùåãî ñïèñêà. Ýòà îïöèÿ òîëüêî äëÿ ñïåöèàëèñòîâ â îáëàñòè Data Recovery!


File recovery: Getting started

Getting started

To Recover files, select the Recover command from the program menu or use the Recover button on the toolbar.


Save dialog

To recover the files, you should specify a folder to save them to as well as to select the Windows version in which files were deleted.

Browse - click to select the destination folder.

Output folder - is a folder where the files will be saved. It will be created if necessary. Besides, network resources are supported too. If a destination file already exists, the new file will be renamed. For example, if there is file.txt, the new one will be renamed to file[1].txt, if this file already exists too, the new file will be renamed to file[2].txt and so on.

Note: We do not recommend you to save files to the same partition where they were deleted from.

Save directory structures - If enabled, all subfolders will be recreated and all files will be saved to the same directories as before. If this option is disabled, no subfolders will be recreated and all files will be saved to one folder.

Use known file signatures while recovery:

  • The option is available only on FAT partitions.
  • Use this option for the completely automatic file recovery. Several most probable file variants will be saved in this case. (Recommended)
  • If you want to select the recovery options manually, you should disable this option. Read more about manual recovery.

Where files were deleted - select the Windows version in which the files were deleted. This option is available only for FAT32.


Lost files on NTFS

Due to the peculiarities of the NTFS file system, for some deleted files it is impossible to determine the folder where they were located. Such files are placed in the Lost files folder. By default, this folder is not displayed. You can turn on displaying the Lost Files list using the Show Lost Files command on the SideBar. You can permanently turn on this folder in the program settings.

Note: Always check the contents of this folder no matter where your file was deleted from.


Prognosis column

This column shows how badly a file is damaged. Sometimes this information can be incorrect. Always try to save files no matter what the value of this field is.


Recovering files from damaged media (with BAD blocks)

DiskInternals NTFS Recovery can recover data from damaged media (from disks with Bad blocks).

How does it work?

When reading a file, the program automatically ignores bad blocks without stopping to save the file. A bad block is replaced with zeros and the program proceeds to the next block.

Note: If you enable the Show Existing Files option, you will be able to save existing files from damaged floppy and logical disks.


Introduction

Searching for files and directories specified by the user. It can also be used to search for file contents.


Find Deleted files

Search for: Use this field to enter the search mask for the files you want to find. You can use special characters:
* - any sequence of characters
? - any character
; - separator of several queries.

Examples:
*.txt - find all text files
*.zip;*.rar;*.cab - find all archives.

Note: If a file was deleted from a FAT partition, the first letter in the name of the file can be lost. We recommend that you replace the first character with '?'. For example, you should search for ?pril.doc instead of April.doc, for ?mage.jpg instead of image.jpg.

A word or phrase in the file: specifies a string that file should contain to meet the search parameters. (Only text files in the current encoding are supported).

What size is it? - you can specify limitations concerning the size of files.

When was it modified? - limitations concerning the date when files were last modified.

More advanced options contains additional search options.

Search recursively in subdirectories - search recursively in subfolders. If this option is off, only the current directory is searched.


Back to search results

You can always return to search results using the "Search results" command on the SideBar. The Search results command will become active after the first search.


Working with disk images

Topics in this help section:

What are disk images?

Creating images

Mounting images

Unmounting images


What are disk images?

A Disk Image is a mirror of your logical drive that is stored in one file. It can be useful if you want to backup the contents of the entire drive (partition), and restore it or work with it later. Before you start recovering the deleted files, it may be a good idea to create a Disk Image for this drive, if you have enough space at another drive. Why? Because if you do something wrong while recovering files (for example, recovering them onto the same drive can destroy their contents), you still will be able to recover these deleted files and folders from the Disk Image that you have wisely created. Images are very important for data recovering from damaged partitions.


Creating Disk Images

To create an image, you should specify the necessary drive and select the "Create Image" command from the menu or use the corresponding command on the SideBar.

Creating disk image

Click the "Browse..." button to specify the output file.

Entire disk contents - save the entire disk contents to the file. Due to FAT32 limitations, files more than 4,3 Gb should be saved only to NTFS partitions or to network disks.

Boot sector (first 512 bytes) - The image will contain only the first sector (512 bytes).

Selected region - The image file will contain the selected region
Begin from sector - the sector to start copying from
Sectors count - the number of sectors to be saved


Mounting disk images

It is very easy to work with images and it does not require any special skills. After you mount an image, you will be able to work with it as if it were a usual disk

You can mount both disk and partition images.

You should select the "Mount Image" command from the program menu to mount any images.

mount disk image

After you enter the filename, click the "Mount" button.

Note: There is another way to mount an image. Just Drag & Drop an image file onto the program window.


Unmounting images

To unmount an image, you should right-click the disk and select "Unmount Image". You can also use this command from the Sidebar.


Preferences

You can open the Preferences window using the main menu. "View->Preferences..."


General

Show ".." symbol in folders - If this option is checked, each folder will have the ".." sign allowing you to go one level up.

Run Wizard at program startup - If enabled, the Recovery Wizard will be automatically launched at the program startup. By default, the option is on.

Show NTFS system files - Hide/Show such files as $MFT, $MFTmirr, $BITMAP, $VOLUME, etc.

Show non-deleted files - Turning this option on will force existing files to be displayed.

Show lost files - Show/hide virtual Lost_Files folder in the root of a NTFS drive. By default, the folder is not displayed and can be accessed using the corresponsing command on the Sidebar. Read more about Lost Files in the section "File recovery. Lost files on NTFS"

Filter visible files with filemask - Use this field to enter a filemask for files you want to see. Special characters are supported:
? - any single character
* - any sequence of characters
; - separator of several masks.
A sample mask for filtering only text and Microsoft Word documents: *.txt;*.doc


Extended

Show Physical drives - if you want to see physical drives installed in the system, check this option

Deleted folders Extended search - our original development. This method is used for FAT32 and for files deleted in Windwos NT, 2000, XP, 2003. If you are sure that files were deleted in Windows 95, 98, Me, you may disable this option. The performance rate will increase in this case.


Extended

Language

Localizing our software to your language

We need translators for new languages. If you can translate our software to any new language, please Contact us. We give free a license of tranlsated software to you.

Contact us


Disk and File properties

Topics in this help section:

File properties

Disk properties


File properties

Location - the place where the file is located on the disk

Size - file size

Size on disk - file size on the disk.

Prognosis - file damage evaluation. It can take three values - poor, average, good.

Note: Due to some peculiarities of your file system, this field can sometimes contain invalid data. Try to save your file in any case.

Created - the time of file creation

Modified - the time of file modification

Accessed - the time of the last access to the file.

File attributes - file attributes.


Disk properties

The Partition tab contains the information about the selected disk.

Partition size - the disk size in bytes.
Free space - the free disk space in bytes.
File system - file system type. It can take one of the values (FAT12, FAT16, FAT32, NTFS).
Image file - if it is an image of the disk that is mounted, this field will contain its name.

The Physical Disk tab contains the information about the physical media (hard drive, flash disk, Digital Camera, etc.)

Capacity - medium capacity.
Heads - the number of heads.
Cylinders - the number of cylinders.
Sectors per track - the number of sectors per track on you drive.
Total sectors - the number of sectors on your drive.
Bytes per sector - the size of a sector. Usually it is 512.
Number of partitions - the total number of partitions on the drive (including Linux and other partitions).
Partition letters - the letters of partitions located on the drive.


DiskInternals Technical support

Our free support service is available for all users. If you have any questions, do not hesitate to ask them.

There are two ways to contact us - using e-mail or our web form.

Contact us via email

Support: support@DiskInternals.com

Contact us via our web form

Ask question online

We will try to reply as soon as possible, but not later than one business day.


Getting Program Updates

You can download DiskInternals NTFS Recovery at the following location: http://DiskInternals.com/download/


Recovery Solutions

Visit our site www.DiskInternals.com and try our products

recover delete files

Have you deleted a file you need?
Undelete them now!

DiskInternals Uneraser can recover any deleted file, including documents, photos, mp3 and zip files, or even folders and damaged disks. In addition to HDD, the program supports any type of storage media (music sticks, cameras, flash drives, USB drives, etc)! It works with encrypted files and helps you undelete file lost because of a virus attack or an employee's malicious behavior. No special skills needed; 100% FREE to try.

Product features:

  • Standard Windows Explorer interface, Drag and Drop support.
  • Works under Microsoft Windows 9x / NT / 2000 / XP / 2003.
  • Supported all file systems: FAT / FAT32 / NTFS / NTFS5.
  • Unique technology for recovering deleted files (FAT32)
  • Recovers compressed files (NTFS, NTFS5).
  • Recovers from any storage media.

More information about Uneraser

image recovery flash card recovery

Accidentally deleted photos from your digital camera?
Recover them now!

DiskInternals Flash Recovery is a flash memory file recovery tool that restores all corrupted and deleted photographs or the ones that were lost due to hardware malfunction. This utility works even if a memory card was re-formatted. You can see recovered images with the free trial version. After the program is purchased, you can save the images to your hard-drive.

There is no need to set any options - the entire process is done automatically with a built-in Photo Recovery wizard.

The program recovers images from hard-drives, external drives, cameras and flash memory devices such as Smart Media, Compact Flash, Memory Stick, MicroDrive, xD Picture Card, Flash Card, PC Card, Multimedia Card, Secure Digital Card, and many others.

More information about CD and DVD Recovery

recover files from cd dvd iso9660 udf incd direct cd

DiskInternals CD&DVD Recovery
Recover lost/deleted/corrupted files on CDs and DVDs

Just finished burning CD or DVD, only to find out that some files appear to be corrupted or inaccessible? Power went out, while recording data? This solution will recover files from CDs and DVDs, including multi-session ones. CD-R, CD-RW, DVD-R, DVR+R, DVD-RW, DVR+RW and DVD-RAM disks are supported. The program recovers any type of files - data, video, music, etc. The program supports UDF, ISO 9660 and Joliet file systems. InCD, Direct CD are supported too. Try it now!

More information about CD and DVD Recovery

recover files from ntfs. Ntfs unformat

DiskInternals NTFS Recovery
Fully automatic Damaged NTFS Recovery!

DiskInternals NTFS Recovery is a fully automatic tool that restores data from damaged or formatted drives. Smart wizard scans the disk first and then restores the original structure of files and folders.

Works for all occasions - formatted disk, corrupted drive, inaccessible drive, drive not booting, corrupted or damaged partition table.

Absolutely free for small files!

Find out more about NTFS Recovery

recover files from fat. fat unformat

DiskInternals FAT Recovery
FAT data Recovery and Unformat tool

DiskInternals FAT Recovery is a fully automatic utility that recovers data from damaged or formatted disks. The program scans the disk first and then restores the original structure of files and folders.

Works for all occasions - formatted drive, inaccessible drive, drive not booting, missing or deleted file or directory, corrupted or damaged partition table.

For a small files you can try DiskInternals FAT Recovery absolutely free.

Find out more about FAT Recovery

ntfs for windows 95 98 Me

NTFS Reader for Windows 95, 98, Me

Provides read access to NTFS disks from Windows 95, 98 and Me. Allows you to save any files from NTFS disks to any visible local or network drive. Compressed and encrypted files are supported. Looks like Windows Explorer and is easy to use.

Note: Damaged NTFS partitions are also supported!

More information


Manual file recovery

If the Use known file signatures while recovery option is off, additional options will become available:

Save method - the method of saving the files.

Simple - usual saving method.

Alternative - this method is good for fragmented files.

If the Files were deleted with Windows NT, 2000, XP option is on, an additional window will be opened.

Use the left panel to select the first cluster, the right part will contain the contents of the first 512 corresponding bytes and continue saving by clicking the Save button.

Note: When saving files automatically, the software saves at least two file variants using both algorithms.


Map Virtual Partition

Page 1 of 4: Welcome to Recovery Wizard

This is the welcome page of Recovery Wizard. Here you can learn about Recovery Wizard features and proceed to file recovery by clicking the Next button.